#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  libquicktime-1.2.4

- Next

  libsndfile-1.0.31

- Up
- Home

# libsamplerate-0.2.1

## Introduction to libsamplerate

libsamplerate is a sample rate converter for audio.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://github.com/libsndfile/libsamplerate/releases/download/0.2.1/libsamplerate-0.2.1.tar.bz2

- Download MD5 sum: e29ca4f1bb8c0252e0f84725617dbe89

- Download size: 3.6 MB

- Estimated disk space required: 17 MB (add 1.2 MB for tests)

- Estimated build time: 0.1 SBU (add 0.3 SBU for tests)

### libsamplerate Dependencies

#### Optional

alsa-lib-1.2.4, libsndfile-1.0.31, and fftw-3.3.9 (for tests)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libsamplerate

## Installation of libsamplerate

Install libsamplerate by running the following commands:

    ./configure --prefix=/usr    \
                --disable-static \
                --docdir=/usr/share/doc/libsamplerate-0.2.1 &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Program: None
Installed Library: libsamplerate.so
Installed Directory: /usr/share/doc/libsamplerate-0.2.1

Last updated on 2021-02-21 15:09:04 -0800

- Prev

  libquicktime-1.2.4

- Next

  libsndfile-1.0.31

- Up
- Home